Package org.eclipse.emf.cdo.lm.client

# Class ISystemDescriptor.ResolutionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.emf.cdo.lm.client.ISystemDescriptor.ResolutionException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  ISystemDescriptor

public static final class ISystemDescriptor.ResolutionException extends Exception

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ISystemDescriptor.ResolutionException.Reason`

## Constructor Summary

Constructors
Constructor
Description
`ResolutionException(ISystemDescriptor.ResolutionException.Reason[] reasons)`

## Method Summary

Modifier and Type
Method
Description
`ISystemDescriptor.ResolutionException.Reason[]`
`getReasons()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResolutionException

public ResolutionException(ISystemDescriptor.ResolutionException.Reason[] reasons)

## Method Details

### getReasons

public ISystemDescriptor.ResolutionException.Reason[] getReasons()